/**
 * Create a render data. Apeman global data will be added.
 * @function ci.worker._newRenderData
 * @param {string} data - Data to render.
 * @returns {object} - Data to render.
 * @protected
 * @ignore
 */
var lib = require('../../lib'),
    object = lib.object,
    apeman = require('apeman'),
    deepCopy = object.deepCopy;
module.exports = function (data) {
    var now = new Date();
    var result = {
        $currentYear$: now.getFullYear(),
        $currentMonth$: now.getMonth(),
        $currentDate$: now.getDate(),
        meta: apeman.currentProject.meta
    };
    Object.keys(data).forEach(function (key) {
        result[key] = data[key];
    });
    return result;
};